// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : Client的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
var Client_ClientId = grmi.NewField("ClientId", "WM_Client.ClientId", "clientid", grmi.TypeString)
var Client_Descr = grmi.NewField("Descr", "WM_Client.Descr", "descr", grmi.TypeString)
var Client_Address = grmi.NewField("Address", "WM_Client.Address", "address", grmi.TypeString)
var Client_Name = grmi.NewField("Name", "WM_Client.Name", "name", grmi.TypeString)
var Client_Name1 = grmi.NewField("Name1", "WM_Client.Name1", "name1", grmi.TypeString)
var Client_Name2 = grmi.NewField("Name2", "WM_Client.Name2", "name2", grmi.TypeString)
var Client_ValidStartDate = grmi.NewField("ValidStartDate", "WM_Client.ValidStartDate", "validstartdate", grmi.TypeDate)
var Client_Country = grmi.NewField("Country", "WM_Client.Country", "country", grmi.TypeString)
var Client_City = grmi.NewField("City", "WM_Client.City", "city", grmi.TypeString)
var Client_District = grmi.NewField("District", "WM_Client.District", "district", grmi.TypeString)
var Client_Street = grmi.NewField("Street", "WM_Client.Street", "street", grmi.TypeString)
var Client_Location = grmi.NewField("Location", "WM_Client.Location", "location", grmi.TypeString)
var Client_PostCode = grmi.NewField("PostCode", "WM_Client.PostCode", "postcode", grmi.TypeString)
var Client_Phone = grmi.NewField("Phone", "WM_Client.Phone", "phone", grmi.TypeString)
var Client_Mobile = grmi.NewField("Mobile", "WM_Client.Mobile", "mobile", grmi.TypeString)
var Client_Fax = grmi.NewField("Fax", "WM_Client.Fax", "fax", grmi.TypeString)
var Client_Email1 = grmi.NewField("Email1", "WM_Client.Email1", "email1", grmi.TypeString)
var Client_Email2 = grmi.NewField("Email2", "WM_Client.Email2", "email2", grmi.TypeString)
var Client_ContactPerson = grmi.NewField("ContactPerson", "WM_Client.ContactPerson", "contactperson", grmi.TypeString)
var Client_PersonTitle = grmi.NewField("PersonTitle", "WM_Client.PersonTitle", "persontitle", grmi.TypeString)
var Client_ContactAddress = grmi.NewField("ContactAddress", "WM_Client.ContactAddress", "contactaddress", grmi.TypeString)
var Client_Account = grmi.NewField("Account", "WM_Client.Account", "account", grmi.TypeInt)
var Client_TaxRate = grmi.NewField("TaxRate", "WM_Client.TaxRate", "taxrate", grmi.TypeString)
var Client_Status = grmi.NewField("Status", "WM_Client.Status", "status", grmi.TypeInt)
var Client_Province = grmi.NewField("Province", "WM_Client.Province", "province", grmi.TypeString)
var Client_ProvinceCode = grmi.NewField("ProvinceCode", "WM_Client.ProvinceCode", "provincecode", grmi.TypeString)
var Client_CityCode = grmi.NewField("CityCode", "WM_Client.CityCode", "citycode", grmi.TypeString)
var Client_DistrictCode = grmi.NewField("DistrictCode", "WM_Client.DistrictCode", "districtcode", grmi.TypeString)
var Client_LastModify = grmi.NewField("LastModify", "WM_Client.LastModify", "lastmodify", grmi.TypeDateTime)
var Client_LastUser = grmi.NewField("LastUser", "WM_Client.LastUser", "lastuser", grmi.TypeString)
var Client_CreateTime = grmi.NewField("CreateTime", "WM_Client.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Client的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
var Client = grmi.NewEntity(
	"WM_Client",
	func() interface{} { return &model.Client{} },
	map[string]grmi.Field{
		Client_ClientId.Name:       Client_ClientId,
		Client_Descr.Name:          Client_Descr,
		Client_Address.Name:        Client_Address,
		Client_Name.Name:           Client_Name,
		Client_Name1.Name:          Client_Name1,
		Client_Name2.Name:          Client_Name2,
		Client_ValidStartDate.Name: Client_ValidStartDate,
		Client_Country.Name:        Client_Country,
		Client_City.Name:           Client_City,
		Client_District.Name:       Client_District,
		Client_Street.Name:         Client_Street,
		Client_Location.Name:       Client_Location,
		Client_PostCode.Name:       Client_PostCode,
		Client_Phone.Name:          Client_Phone,
		Client_Mobile.Name:         Client_Mobile,
		Client_Fax.Name:            Client_Fax,
		Client_Email1.Name:         Client_Email1,
		Client_Email2.Name:         Client_Email2,
		Client_ContactPerson.Name:  Client_ContactPerson,
		Client_PersonTitle.Name:    Client_PersonTitle,
		Client_ContactAddress.Name: Client_ContactAddress,
		Client_Account.Name:        Client_Account,
		Client_TaxRate.Name:        Client_TaxRate,
		Client_Status.Name:         Client_Status,
		Client_Province.Name:       Client_Province,
		Client_ProvinceCode.Name:   Client_ProvinceCode,
		Client_CityCode.Name:       Client_CityCode,
		Client_DistrictCode.Name:   Client_DistrictCode,
		Client_LastModify.Name:     Client_LastModify,
		Client_LastUser.Name:       Client_LastUser,
		Client_CreateTime.Name:     Client_CreateTime,
	},
	[]string{},
	[]string{"Descr", "Address", "Name", "Name1", "Name2", "ValidStartDate", "Country", "City", "District", "Street", "Location", "PostCode", "Phone", "Mobile", "Fax", "Email1", "Email2", "ContactPerson", "PersonTitle", "ContactAddress", "Account", "TaxRate", "Status", "Province", "ProvinceCode", "CityCode", "DistrictCode", "LastUser"})
